Subject: Re: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Dec 2013 18:16:36 +0200

> From: [email-masked] (K. Handa)
> Cc: [email-masked], [email-masked]
> Date: Wed, 11 Dec 2013 18:30:35 +0900
> 
> Does your change break mule-charsets.el working with Emacs
> 22?  If not, it's ok to keep it as is now, but if it breaks,
> please revert your change.

It is unusual to keep code in Emacs that specifically targets older
versions.  So no, I didn't keep the v22 code.  But I could easily
reinstate it, if that's a requirement, conditioned by the Emacs
version.

> > What about the problem with indian-is13194 in list-charset-chars --
> > what is needed to fix that one?
> 
> I'm sorry that I don't have a time to fix it yet.

I think I know the reason: we didn't specify the mapping file for that
charset, and didn't make that charset unified.  Do you agree with the
following patch?  It makes list-charset-chars work again for this
charset.

--- lisp/international/mule-conf.el~	2013-06-30 07:20:59.000000000 +0300
+++ lisp/international/mule-conf.el	2013-12-11 16:13:53.778785000 +0200
@@ -895,7 +895,8 @@
   :emacs-mule-id 225
   :supplementary-p t
   :code-space [33 126]
-  :code-offset #x180000)
+  :code-offset #x180000
+  :unify-map "MULE-is13194")
 
 (let ((code-offset #x180100))
   (dolist (script '(devanagari sanskrit bengali tamil telugu assamese
@@ -1197,6 +1198,7 @@
 (unify-charset 'japanese-jisx0212)
 (unify-charset 'japanese-jisx0213-1)
 (unify-charset 'japanese-jisx0213-2)
+(unify-charset 'indian-is13194)
 
 
 ;; These are tables for translating characters on decoding and